> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cula.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a webhook



## OpenAPI

````yaml /openapi.json get /webhooks/{id}
openapi: 3.1.0
info:
  title: Cula Tracking API
  version: 0.3.10
servers:
  - url: https://api.demo.cula.earth/tracking/v1
security: []
tags:
  - name: Organisations
    description: ''
  - name: Sites
    description: ''
  - name: Machines
    description: ''
  - name: Machine Variables
    description: ''
  - name: Machine Data Imports
    description: ''
  - name: Delivery Configs
    description: ''
  - name: Deliveries
    description: ''
  - name: Material Sourcing Configs
    description: ''
  - name: Material Sourcings
    description: ''
  - name: Material Conversion Configs
    description: ''
  - name: Material Conversions
    description: ''
  - name: Material Utilization Configs
    description: ''
  - name: Material Utilizations
    description: ''
  - name: Material Batches
    description: ''
  - name: Material Pools
    description: ''
  - name: Material Containers
    description: ''
  - name: Sinks
    description: ''
  - name: Documents
    description: ''
  - name: Webhooks
    description: ''
paths:
  /webhooks/{id}:
    get:
      tags:
        - Webhooks
      summary: Get a webhook
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
            example: wbh_01ktgcztz8cz5evcmgah1d1qcb
      responses:
        '200':
          description: Webhook
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookResponse'
        '400':
          description: Invalid request payload or parameters.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: bad_request
                message: The field limit must not be greater than 100.
        '401':
          description: Missing or invalid access token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: unauthorized
                message: Invalid or expired token
        '404':
          description: Resource not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: not_found
                message: >-
                  Resource with ID xyz_01k56g7aec6dt5zrtamc72vw446 could not be
                  found.
        '500':
          description: Unexpected server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: internal_server_error
                message: Internal server error.
      security:
        - AccessToken: []
components:
  schemas:
    WebhookResponse:
      type: object
      properties:
        id:
          type: string
          example: wbh_01ktgcztz8cz5evcmgah1d1qcb
        url:
          type: string
          format: uri
          example: https://hooks.example.com/events/
        events:
          type: array
          minItems: 1
          uniqueItems: true
          example:
            - sink.verified
          items:
            $ref: '#/components/schemas/EventType'
        description:
          type: string
          nullable: true
          example: null
        secret:
          type: string
          pattern: ^whsec_[A-Za-z0-9+/=]+$
          description: >-
            Symmetric signing secret for HMAC signature verification. Only
            returned once upon webhook creation.
          example: whsec_C2FVsBQIhrscChlQIMV+b5sSYspob7oD
        status:
          example: enabled
          allOf:
            - $ref: '#/components/schemas/WebhookStatus'
        created_at:
          type: string
          format: date-time
          example: '2025-10-10T21:03:58Z'
        updated_at:
          type: string
          format: date-time
          example: '2025-10-10T21:03:58Z'
      required:
        - id
        - url
        - events
        - description
        - status
        - created_at
        - updated_at
    Error:
      type: object
      properties:
        code:
          type: string
          example: bad_request
        message:
          type: string
          example: The field limit must not be greater than 100.
      required:
        - code
        - message
    EventType:
      type: string
      enum:
        - sink.verified
    WebhookStatus:
      type: string
      enum:
        - enabled
        - disabled
  securitySchemes:
    AccessToken:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://auth.demo.cula.earth/oauth2/token
          scopes: {}
      description: >-
        OAuth 2.0 client credentials. Exchange your client_id and client_secret
        for an access token scoped to the organisation that provides data
        access.

````